/*
 * @Descripttion: HJ
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: HJ
 * @Date: 2021-06-08 10:54:51
 * @LastEditors: HJ
 * @LastEditTime: 2021-06-08 11:05:56
 */
const componentOptions = {
  // 组件选项
  options: {
    multipleSlots: true,
  },
  properties: {},
  // 组件数据
  data: {
    isPageHidden: false, // 页面是否处于隐藏状态
    show: false,
  },
  // 组件方法
  methods: {
    init() {
      const flag = wx.getStorageSync("collection");
      !flag && this.controlPopup(true);
    },
    // 弹窗
    controlPopup(flag = false) {
      this.setData({
        show: flag,
      }, () => {
        if(!flag) {
          wx.setStorageSync('collection', true)
        }
      });
    },
    // 点击遮罩
    clickMask() {
      this.controlPopup()
    }
  },
  // 组件生命周期
  lifetimes: {
    created() {},
    attached() {
      this.init();
    },
    ready() {},
    moved() {},
    detached() {},
  },
  // 页面生命周期
  pageLifetimes: {
    // 页面被展示
    show() {
      const { isPageHidden } = this.data;

      // show事件发生前，页面不是处于隐藏状态时
      if (!isPageHidden) {
        return;
      }

      // 重新执行定时器等操作
    },
    // 页面被隐藏
    hide() {
      this.setData({
        isPageHidden: true,
      });

      // 清除定时器等操作
    },
  },
};

Component(componentOptions);
